io.etcd.jetcd.api

## Class DeleteRangeResponse.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<DeleteRangeResponse.Builder>
      - - io.etcd.jetcd.api.DeleteRangeResponse.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, DeleteRangeResponseOrBuilder, Cloneable

Enclosing class:
  DeleteRangeResponse

    public static final class DeleteRangeResponse.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<DeleteRangeResponse.Builder>
    implements DeleteRangeResponseOrBuilder

Protobuf type `etcdserverpb.DeleteRangeResponse`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`DeleteRangeResponse.Builder` `addAllPrevKvs(Iterable<? extends KeyValue> values)` if prev_kv is set in the request, the previous key-value pairs will be returned.
`DeleteRangeResponse.Builder` `addPrevKvs(int index, KeyValue.Builder builderForValue)` if prev_kv is set in the request, the previous key-value pairs will be returned.
`DeleteRangeResponse.Builder` `addPrevKvs(int index, KeyValue value)` if prev_kv is set in the request, the previous key-value pairs will be returned.
`DeleteRangeResponse.Builder` `addPrevKvs(KeyValue.Builder builderForValue)` if prev_kv is set in the request, the previous key-value pairs will be returned.
`DeleteRangeResponse.Builder` `addPrevKvs(KeyValue value)` if prev_kv is set in the request, the previous key-value pairs will be returned.
`KeyValue.Builder` `addPrevKvsBuilder()` if prev_kv is set in the request, the previous key-value pairs will be returned.
`KeyValue.Builder` `addPrevKvsBuilder(int index)` if prev_kv is set in the request, the previous key-value pairs will be returned.
`DeleteRangeResponse.Builder` `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DeleteRangeResponse` `build()`
`DeleteRangeResponse` `buildPartial()`
`DeleteRangeResponse.Builder` `clear()`
`DeleteRangeResponse.Builder` `clearDeleted()` deleted is the number of keys deleted by the delete range request.
`DeleteRangeResponse.Builder` `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`DeleteRangeResponse.Builder` `clearHeader()` `.etcdserverpb.ResponseHeader header = 1;`
`DeleteRangeResponse.Builder` `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`DeleteRangeResponse.Builder` `clearPrevKvs()` if prev_kv is set in the request, the previous key-value pairs will be returned.
`DeleteRangeResponse.Builder` `clone()`
`DeleteRangeResponse` `getDefaultInstanceForType()`
`long` `getDeleted()` deleted is the number of keys deleted by the delete range request.
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`ResponseHeader` `getHeader()` `.etcdserverpb.ResponseHeader header = 1;`
`ResponseHeader.Builder` `getHeaderBuilder()` `.etcdserverpb.ResponseHeader header = 1;`
`ResponseHeaderOrBuilder` `getHeaderOrBuilder()` `.etcdserverpb.ResponseHeader header = 1;`
`KeyValue` `getPrevKvs(int index)` if prev_kv is set in the request, the previous key-value pairs will be returned.
`KeyValue.Builder` `getPrevKvsBuilder(int index)` if prev_kv is set in the request, the previous key-value pairs will be returned.
`List<KeyValue.Builder>` `getPrevKvsBuilderList()` if prev_kv is set in the request, the previous key-value pairs will be returned.
`int` `getPrevKvsCount()` if prev_kv is set in the request, the previous key-value pairs will be returned.
`List<KeyValue>` `getPrevKvsList()` if prev_kv is set in the request, the previous key-value pairs will be returned.
`KeyValueOrBuilder` `getPrevKvsOrBuilder(int index)` if prev_kv is set in the request, the previous key-value pairs will be returned.
`List<? extends KeyValueOrBuilder>` `getPrevKvsOrBuilderList()` if prev_kv is set in the request, the previous key-value pairs will be returned.
`boolean` `hasHeader()` `.etcdserverpb.ResponseHeader header = 1;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`DeleteRangeResponse.Builder` `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`DeleteRangeResponse.Builder` `mergeFrom(DeleteRangeResponse other)`
`DeleteRangeResponse.Builder` `mergeFrom(com.google.protobuf.Message other)`
`DeleteRangeResponse.Builder` `mergeHeader(ResponseHeader value)` `.etcdserverpb.ResponseHeader header = 1;`
`DeleteRangeResponse.Builder` `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`DeleteRangeResponse.Builder` `removePrevKvs(int index)` if prev_kv is set in the request, the previous key-value pairs will be returned.
`DeleteRangeResponse.Builder` `setDeleted(long value)` deleted is the number of keys deleted by the delete range request.
`DeleteRangeResponse.Builder` `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DeleteRangeResponse.Builder` `setHeader(ResponseHeader.Builder builderForValue)` `.etcdserverpb.ResponseHeader header = 1;`
`DeleteRangeResponse.Builder` `setHeader(ResponseHeader value)` `.etcdserverpb.ResponseHeader header = 1;`
`DeleteRangeResponse.Builder` `setPrevKvs(int index, KeyValue.Builder builderForValue)` if prev_kv is set in the request, the previous key-value pairs will be returned.
`DeleteRangeResponse.Builder` `setPrevKvs(int index, KeyValue value)` if prev_kv is set in the request, the previous key-value pairs will be returned.
`DeleteRangeResponse.Builder` `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`DeleteRangeResponse.Builder` `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<DeleteRangeResponse.Builder>`

#### clear

    public DeleteRangeResponse.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<DeleteRangeResponse.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<DeleteRangeResponse.Builder>`

#### getDefaultInstanceForType

    public DeleteRangeResponse getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public DeleteRangeResponse build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public DeleteRangeResponse buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public DeleteRangeResponse.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<DeleteRangeResponse.Builder>`

#### setField

    public DeleteRangeResponse.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DeleteRangeResponse.Builder>`

#### clearField

    public DeleteRangeResponse.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DeleteRangeResponse.Builder>`

#### clearOneof

    public DeleteRangeResponse.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<DeleteRangeResponse.Builder>`

#### setRepeatedField

    public DeleteRangeResponse.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                        int index,
                                                        Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DeleteRangeResponse.Builder>`

#### addRepeatedField

    public DeleteRangeResponse.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                        Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DeleteRangeResponse.Builder>`

#### mergeFrom

    public DeleteRangeResponse.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DeleteRangeResponse.Builder>`

#### mergeFrom

    public DeleteRangeResponse.Builder mergeFrom(DeleteRangeResponse other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<DeleteRangeResponse.Builder>`

#### mergeFrom

    public DeleteRangeResponse.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                 com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                          throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DeleteRangeResponse.Builder>`
Throws:
  `IOException`

#### hasHeader

    public boolean hasHeader()

`.etcdserverpb.ResponseHeader header = 1;`

Specified by:
  `hasHeader` in interface `DeleteRangeResponseOrBuilder`
Returns:
  Whether the header field is set.

#### getHeader

    public ResponseHeader getHeader()

`.etcdserverpb.ResponseHeader header = 1;`

Specified by:
  `getHeader` in interface `DeleteRangeResponseOrBuilder`
Returns:
  The header.

#### setHeader

    public DeleteRangeResponse.Builder setHeader(ResponseHeader value)

`.etcdserverpb.ResponseHeader header = 1;`

#### setHeader

    public DeleteRangeResponse.Builder setHeader(ResponseHeader.Builder builderForValue)

`.etcdserverpb.ResponseHeader header = 1;`

#### mergeHeader

    public DeleteRangeResponse.Builder mergeHeader(ResponseHeader value)

`.etcdserverpb.ResponseHeader header = 1;`

#### clearHeader

    public DeleteRangeResponse.Builder clearHeader()

`.etcdserverpb.ResponseHeader header = 1;`

#### getHeaderBuilder

    public ResponseHeader.Builder getHeaderBuilder()

`.etcdserverpb.ResponseHeader header = 1;`

#### getHeaderOrBuilder

    public ResponseHeaderOrBuilder getHeaderOrBuilder()

`.etcdserverpb.ResponseHeader header = 1;`

Specified by:
  `getHeaderOrBuilder` in interface `DeleteRangeResponseOrBuilder`

#### getDeleted

    public long getDeleted()

     deleted is the number of keys deleted by the delete range request.

`int64 deleted = 2;`

Specified by:
  `getDeleted` in interface `DeleteRangeResponseOrBuilder`
Returns:
  The deleted.

#### setDeleted

    public DeleteRangeResponse.Builder setDeleted(long value)

     deleted is the number of keys deleted by the delete range request.

`int64 deleted = 2;`

Parameters:
  `value` - The deleted to set.
Returns:
  This builder for chaining.

#### clearDeleted

    public DeleteRangeResponse.Builder clearDeleted()

     deleted is the number of keys deleted by the delete range request.

`int64 deleted = 2;`

Returns:
  This builder for chaining.

#### getPrevKvsList

    public List<KeyValue> getPrevKvsList()

     if prev_kv is set in the request, the previous key-value pairs will be returned.

`repeated .mvccpb.KeyValue prev_kvs = 3;`

Specified by:
  `getPrevKvsList` in interface `DeleteRangeResponseOrBuilder`

#### getPrevKvsCount

    public int getPrevKvsCount()

     if prev_kv is set in the request, the previous key-value pairs will be returned.

`repeated .mvccpb.KeyValue prev_kvs = 3;`

Specified by:
  `getPrevKvsCount` in interface `DeleteRangeResponseOrBuilder`

#### getPrevKvs

    public KeyValue getPrevKvs(int index)

     if prev_kv is set in the request, the previous key-value pairs will be returned.

`repeated .mvccpb.KeyValue prev_kvs = 3;`

Specified by:
  `getPrevKvs` in interface `DeleteRangeResponseOrBuilder`

#### setPrevKvs

    public DeleteRangeResponse.Builder setPrevKvs(int index,
                                                  KeyValue value)

     if prev_kv is set in the request, the previous key-value pairs will be returned.

`repeated .mvccpb.KeyValue prev_kvs = 3;`

#### setPrevKvs

    public DeleteRangeResponse.Builder setPrevKvs(int index,
                                                  KeyValue.Builder builderForValue)

     if prev_kv is set in the request, the previous key-value pairs will be returned.

`repeated .mvccpb.KeyValue prev_kvs = 3;`

#### addPrevKvs

    public DeleteRangeResponse.Builder addPrevKvs(KeyValue value)

     if prev_kv is set in the request, the previous key-value pairs will be returned.

`repeated .mvccpb.KeyValue prev_kvs = 3;`

#### addPrevKvs

    public DeleteRangeResponse.Builder addPrevKvs(int index,
                                                  KeyValue value)

     if prev_kv is set in the request, the previous key-value pairs will be returned.

`repeated .mvccpb.KeyValue prev_kvs = 3;`

#### addPrevKvs

    public DeleteRangeResponse.Builder addPrevKvs(KeyValue.Builder builderForValue)

     if prev_kv is set in the request, the previous key-value pairs will be returned.

`repeated .mvccpb.KeyValue prev_kvs = 3;`

#### addPrevKvs

    public DeleteRangeResponse.Builder addPrevKvs(int index,
                                                  KeyValue.Builder builderForValue)

     if prev_kv is set in the request, the previous key-value pairs will be returned.

`repeated .mvccpb.KeyValue prev_kvs = 3;`

#### addAllPrevKvs

    public DeleteRangeResponse.Builder addAllPrevKvs(Iterable<? extends KeyValue> values)

     if prev_kv is set in the request, the previous key-value pairs will be returned.

`repeated .mvccpb.KeyValue prev_kvs = 3;`

#### clearPrevKvs

    public DeleteRangeResponse.Builder clearPrevKvs()

     if prev_kv is set in the request, the previous key-value pairs will be returned.

`repeated .mvccpb.KeyValue prev_kvs = 3;`

#### removePrevKvs

    public DeleteRangeResponse.Builder removePrevKvs(int index)

     if prev_kv is set in the request, the previous key-value pairs will be returned.

`repeated .mvccpb.KeyValue prev_kvs = 3;`

#### getPrevKvsBuilder

    public KeyValue.Builder getPrevKvsBuilder(int index)

     if prev_kv is set in the request, the previous key-value pairs will be returned.

`repeated .mvccpb.KeyValue prev_kvs = 3;`

#### getPrevKvsOrBuilder

    public KeyValueOrBuilder getPrevKvsOrBuilder(int index)

     if prev_kv is set in the request, the previous key-value pairs will be returned.

`repeated .mvccpb.KeyValue prev_kvs = 3;`

Specified by:
  `getPrevKvsOrBuilder` in interface `DeleteRangeResponseOrBuilder`

#### getPrevKvsOrBuilderList

    public List<? extends KeyValueOrBuilder> getPrevKvsOrBuilderList()

     if prev_kv is set in the request, the previous key-value pairs will be returned.

`repeated .mvccpb.KeyValue prev_kvs = 3;`

Specified by:
  `getPrevKvsOrBuilderList` in interface `DeleteRangeResponseOrBuilder`

#### addPrevKvsBuilder

    public KeyValue.Builder addPrevKvsBuilder()

     if prev_kv is set in the request, the previous key-value pairs will be returned.

`repeated .mvccpb.KeyValue prev_kvs = 3;`

#### addPrevKvsBuilder

    public KeyValue.Builder addPrevKvsBuilder(int index)

     if prev_kv is set in the request, the previous key-value pairs will be returned.

`repeated .mvccpb.KeyValue prev_kvs = 3;`

#### getPrevKvsBuilderList

    public List<KeyValue.Builder> getPrevKvsBuilderList()

     if prev_kv is set in the request, the previous key-value pairs will be returned.

`repeated .mvccpb.KeyValue prev_kvs = 3;`

#### setUnknownFields

    public final DeleteRangeResponse.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DeleteRangeResponse.Builder>`

#### mergeUnknownFields

    public final DeleteRangeResponse.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DeleteRangeResponse.Builder>`